---
rank: 12
title: "Open Source and Feelings: The Challenge"
date: 2016-01-19T18:48:54.000Z
layout: post
path: /open-source-and-feelings-the-challenge/
next: /a-modest-async-proposal/
previous: /a-running-update/
tags:
  - business
  - conferences
  - software
---

<a class="plain" href="https://twitter.com/r343l/status/650412701059956736"><img src="https://static.sinap.ps/blog/2016/01_jan/osfeels_challenge/bathroom.jpg" alt="thanks to @r343l"></a>

[Open Source and Feelings, last October](http://osfeels.com/), was a great conference. My previous post about it, [The Awesome](/open-source-and-feelings-the-awesome/), covers the good parts. But I also want to talk about the hard parts. Because the feelings in question at the conference weren't all warm and fuzzy.

<div class='fold'></div>

## Feeling: Uncomfortable

I wasn't completely comfortable during the conference. But that's a good thing! Each new area of discomfort made me think. Sometimes it was a new issue entirely, other times a new, more visceral angle on something I already knew about:

* **Gender-free bathrooms**: The two large bathrooms had been made gender-free, by covering over the urinals and putting up signs. I realized that I really never want to make eye contact in bathrooms, and urinals are a horrible tradition. The best approach is individual, lockable rooms each with a toilet and sink.
* **Trigger warnings for animations**: I had never heard of this before! It's good to hear about this kind of sensitivity as a software developer: the ability to turn them off is really important to some users.
* **English makes it hard**: Just about everyone on stage struggled to replace 'you guys' with something less gender-specific. [Alex Harms has disavowed pronouns](https://twitter.com/onealexharms/status/258334483437199360), so I wrote and rewrote my [section about Alex's session](/open-source-and-feelings-the-awesome/#empathy) to try to make it flow without them.
* **Diversity takes a focused effort**: The conference had lunch group leaders who would gather attendees then walk them over to nearby restaurant. I joined one that looked like a good mixture of people, but then when we split into three different tables, we segregated ourselves naturally: six men and one woman at my table.

It all got me thinking about how comfortable I usually am in day-to-day life. It made me realize that I'm pretty complacent about rampant urinal use in bathrooms today.

In all seriousness, though, I started thinking: "Am I part of the problem?"

## Feeling: Concern

I thought back to my first couple years at Microsoft, right out of college. I was initially surprised by all the yelling and swearing in meetings, but I was told that it was in service to higher ideals of logical perfection. So I joined in. The theory was that we would remove our egos from the conversation and it would be a battle of pure ideas. I tried, but it definitely didn't feel good to be told publicly, frequently with a raised voice, that my idea or its presentation wasn't good enough.

I needed a 'thick skin' to survive there, but the culture didn't even allow for that concept. A good friend, who later left for Silicon Valley, said that "Microsoft had made him a worse person." It's a fair statement, because what we were dealing with is really the opposite of empathy. Empathy means putting effort into understanding an individual and their context. At Microsoft, people explicitly looked for your weaknesses.

Over time, however, I got good at it. I internalized it. I'd like to think that I was better because I didn't yell or swear. But I did tear people's ideas apart mercilessly.

## Feeling: Hope

Being at the conference reminded me that there are others, new to the industry, going through that enculturation process right now. And they're realizing that it sucks, especially if you don't already look or act like the majority. It turns out that the tech ideal is impossible: we can't remove our egos from the conversation. It's definitely not about pure ideas. And we don't need to haze n00bs because we were hazed as n00bs.

We can instead try to make things better for those who come next. We can improve communication and use empathy to improve software and the teams building it. We can make open source more sustainable to reduce burnout. And we can make communities of all kinds more accepting by being sensitive to everyone's needs.

## The Challenge

The Open Source and Feelings conference is ultimately a progressive community with a vision for the future of the tech industry. I want that future. I applaud the challenge. And we can start working towards it right now.

...but we'll have to wait a whole year for the [next one](https://twitter.com/OSFeels)!

---

Further reading:

* Tech industry culture and diversity
    * Taking apart the gospel of meritocracy: http://glenngillen.com/thoughts/on-meritocracy
    * The tech industry problem of 'argument culture,' what I experienced at Microsoft https://www.kateheddleston.com/blog/argument-cultures-and-unregulated-aggression
    * The lack of diversity in engineering organizations is a sign that something deeper is wrong: https://www.kateheddleston.com/blog/how-our-engineering-environments-are-killing-diversity-introduction
    * What it's like as the only woman in tech/gaming culture: https://medium.com/matter/the-women-i-pretend-to-be-ef0a5ce97277#.5w5kaxdtx
    * What it's like as a black woman in the tech industry: https://medium.com/this-is-hard/the-other-side-of-diversity-1bb3de2f053e#.58u0ta218
* Open source burnout
    * A great talk by Kathleen Danielson from PyCon 2015 about how to avoid it: https://www.youtube.com/watch?v=RbeHBnWfXUc
    * A discussion of the Burnout Cycle - including early symptoms to watch for: https://opensource.com/business/15/12/avoid-burnout-live-happy
    * Further discussion of the issues: hiring based on OSS contributions, the morality of participation/contribution, burnout, etc. https://remysharp.com/2015/01/09/dont-like-open-source
* Nonbinary gender
    * A good primer with links to further resources: http://everydayfeminism.com/2014/12/myths-non-binary-people/
    * Practical resources: http://nonbinary.org/wiki/Practical_Resources
